ktab.within {ade4} | R Documentation

## Process to go from a Within Analysis to a K-tables

### Description

performs the process to go from a Within Analysis to a K-tables.

### Usage

    ktab.within(dudiwit, rownames = NULL, colnames = NULL, tabnames = NULL)

### Arguments

`dudiwit` | an objet of class `within`
`rownames` | the row names of the K-tables (otherwise the row names of `dudiwit$tab`)
`colnames` | the column names of the K-tables (otherwise the column names of `dudiwit$tab`)
`tabnames` | the names of the arrays of the K-tables (otherwise the levels of the factor which defines the within-classes)

### Value

a list of class `ktab`. See `ktab`

### Author(s)

Daniel Chessel
Anne-Béatrice Dufour anne-beatrice.dufour@univ-lyon1.fr

### Examples

    data(bacteria)
    w1 <- data.frame(t(bacteria$espcodon))
    dudi1 <- dudi.coa(w1, scann = FALSE, nf = 4)
    wit1 <- wca(dudi1, bacteria$code, scannf = FALSE)
    kta1 <- ktab.within(wit1)
    plot(statis(kta1, scann = FALSE))

    kta2 <- kta1[kta1$blo>3]
    kplot(mfa(kta2, scann = FALSE))

[Package ade4 version 1.7-13 Index]